# Update

Launch stage: GA

`PATCH /api/2.1/unity-catalog/workspaces/{workspace_id}/metastore`

Updates a metastore assignment. This operation can be used to update __metastore_id__ or __default_catalog_name__
 for a specified Workspace, if the Workspace is already assigned a metastore.
 The caller must be an account admin to update __metastore_id__; otherwise, the caller can be a Workspace admin.

API scopes: unity-catalog

## Path parameters

- `workspace_id` (int64, optional)
  A workspace ID.

## Request body

- `metastore_id` (string, optional)
  The unique ID of the metastore.
- `default_catalog_name` (string, optional)
  The name of the default catalog in the metastore.
   This field is deprecated. Please use "Default Namespace API" to
   configure the default catalog for a <Databricks> workspace.

## Response

```json
{}
```

